[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# StrToWindowState

Converts a string to a TWindowState enumeration value.

## Declaration

Source position: forms.pp line 1949

`function StrToWindowState(`
`const Name: string`
`):TWindowState;`

## Arguments

`Name` |  | String representation for the window state enumeration value.

## Function result

TWindowState value for the specified string, or wsNormal by default.

## Description

StrToWindowState is a TWindowState function used to get the value from the TWindowState enumeration for the specified string. StrToWindowState calls the GetEnumValueDef routine in lazutilities to convert the string to its value in the TWindowState enumeration. The return value defaults to wsNormal when Name does not represent a value in the TWindowState enumeration.

## See also

GetEnumValueDef